org.eclipse.jetty.deploy.providers

## Class WebAppProvider.Filter

- java.lang.Object
- - org.eclipse.jetty.deploy.providers.WebAppProvider.Filter

All Implemented Interfaces:
  FilenameFilter

Enclosing class:
  WebAppProvider

    public static class WebAppProvider.Filter
    extends Object
    implements FilenameFilter

### Constructor Summary

Constructors
Constructor and Description
`WebAppProvider.Filter()`

### Method Summary

Methods
`boolean` `accept(File dir, String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebAppProvider.Filter

    public WebAppProvider.Filter()

### Method Detail

#### accept

    public boolean accept(File dir,
                 String name)

Specified by:
  `accept` in interface `FilenameFilter`